Liferay.Loader.define("document-library-web@5.0.109/document_library/js/checkin/Checkin.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/modal', 'frontend-js-react-web$react', './CheckinModal.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = Checkin;

    var _modal = require("@frontend-taglib-clay$clayui/modal");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _CheckinModal = _interopRequireDefault(require("./CheckinModal.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function Checkin(_ref) {
      var checkedOut = _ref.checkedOut,
          dlVersionNumberIncreaseValues = _ref.dlVersionNumberIncreaseValues,
          portletNamespace = _ref.portletNamespace;

      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          showModal = _useState2[0],
          setShowModal = _useState2[1];

      var _useState3 = (0, _react.useState)(),
          _useState4 = _slicedToArray(_useState3, 2),
          callback = _useState4[0],
          setCallback = _useState4[1];

      var bridgeComponentId = "".concat(portletNamespace, "DocumentLibraryCheckinModal");

      var _useModal = (0, _modal.useModal)({
        onClose: function handleOnClose() {
          setShowModal(false);
        }
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      if (!Liferay.component(bridgeComponentId)) {
        Liferay.component(bridgeComponentId, {
          open: function open(callback) {
            setCallback(function () {
              return callback;
            });
            setShowModal(true);
          }
        }, {
          destroyOnNavigate: true
        });
      }

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, showModal && /*#__PURE__*/_react.default.createElement(_CheckinModal.default, {
          callback: callback,
          checkedOut: checkedOut,
          dlVersionNumberIncreaseValues: dlVersionNumberIncreaseValues,
          observer: observer,
          onModalClose: onClose
        }))
      );
    }
    //# sourceMappingURL=Checkin.es.js.map
  }
});
//# sourceMappingURL=Checkin.es.js.map