Liferay.Loader.define("document-library-web@5.0.109/document_library/js/ddm/panels/PluginContext.es", ['module', 'exports', 'require', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = exports.Component = void 0;

    var _react = _interopRequireDefault(require("frontend-js-react-web$react"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    /**
     * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
     *
     * This library is free software; you can redistribute it and/or modify it under
     * the terms of the GNU Lesser General Public License as published by the Free
     * Software Foundation; either version 2.1 of the License, or (at your option)
     * any later version.
     *
     * This library is distributed in the hope that it will be useful, but WITHOUT
     * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
     * details.
     */

    /**
     * Context for shared data, intended as a mechanism for sharing between
     * a host application that uses `usePlugins()` and its hosted plugin modules.
     */
    var PluginContext = /*#__PURE__*/_react.default.createContext({});
    /**
     * Convenience function that returns a component that provides the passed
     * `value` as context.
     */

    var Component = function Component(value) {
      return function (_ref) {
        var children = _ref.children;
        return (/*#__PURE__*/_react.default.createElement(PluginContext.Provider, {
            value: value
          }, children)
        );
      };
    };

    exports.Component = Component;
    var _default = PluginContext;
    exports.default = _default;
    //# sourceMappingURL=PluginContext.es.js.map
  }
});
//# sourceMappingURL=PluginContext.es.js.map