Liferay.Loader.define("frontend-taglib-clay@6.4.2/data_set_display/management_bar/components/MainSearch", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/form', 'frontend-js-react-web$react', '../../DataSetDisplayContext'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = require("@frontend-taglib-clay$clayui/button");

    var _form = require("@frontend-taglib-clay$clayui/form");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _DataSetDisplayContext = _interopRequireDefault(require("../../DataSetDisplayContext"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function MainSearch(_ref) {
      var setShowMobile = _ref.setShowMobile;

      var _useContext = (0, _react.useContext)(_DataSetDisplayContext.default),
          searchParam = _useContext.searchParam,
          updateSearchParam = _useContext.updateSearchParam;

      var _useState = (0, _react.useState)(searchParam),
          _useState2 = _slicedToArray(_useState, 2),
          inputValue = _useState2[0],
          updateInputValue = _useState2[1];

      (0, _react.useEffect)(function () {
        updateInputValue(searchParam || '');
      }, [searchParam]);

      return (/*#__PURE__*/_react.default.createElement(_form.ClayInput.Group, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupItem, null, /*#__PURE__*/_react.default.createElement(_form.ClayInput, {
          "aria-label": Liferay.Language.get('search'),
          className: "input-group-inset input-group-inset-after",
          onChange: function onChange(event) {
            return updateInputValue(event.target.value);
          },
          onKeyDown: function handleKeyDown(event) {
            if (event.key === 'Enter') {
              event.preventDefault();
              return updateSearchParam(inputValue);
            }
          },
          placeholder: Liferay.Language.get('search'),
          value: inputValue
        }), /*#__PURE__*/_react.default.createElement(_form.ClayInput.GroupInsetItem, {
          after: true,
          tag: "div"
        }, /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          "aria-label": Liferay.Language.get('clear'),
          className: "navbar-breakpoint-d-none",
          disabled: !inputValue.length,
          displayType: "unstyled",
          monospaced: false,
          onClick: function onClick(event) {
            event.preventDefault();
            updateInputValue('');
            setShowMobile(false);
            updateSearchParam('');
          },
          style: {
            opacity: !inputValue.length ? 0 : 1,
            pointerEvents: !inputValue.length ? 'none' : 'auto'
          },
          symbol: "times-circle"
        }), /*#__PURE__*/_react.default.createElement(_button.ClayButtonWithIcon, {
          "aria-label": Liferay.Language.get('search'),
          displayType: "unstyled",
          monospaced: false,
          onClick: function onClick(event) {
            event.preventDefault();
            updateSearchParam(inputValue);
          },
          symbol: "search",
          type: "submit"
        }))))
      );
    }

    var _default = MainSearch;
    exports.default = _default;
    //# sourceMappingURL=MainSearch.js.map
  }
});
//# sourceMappingURL=MainSearch.js.map