Liferay.Loader.define("journal-web@4.0.98/js/export_translation/ExportTranslation.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/modal', 'frontend-js-web', 'frontend-js-react-web$react', './ExportTranslationContext.es', './ExportTranslationModal.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = _default;

    var _modal = require("@frontend-taglib-clay$clayui/modal");

    var _frontendJsWeb = require("frontend-js-web");

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    var _ExportTranslationContext = _interopRequireDefault(require("./ExportTranslationContext.es"));

    var _ExportTranslationModal = _interopRequireDefault(require("./ExportTranslationModal.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _extends() {
      _extends = Object.assign || function (target) {
        for (var i = 1; i < arguments.length; i++) {
          var source = arguments[i];for (var key in source) {
            if (Object.prototype.hasOwnProperty.call(source, key)) {
              target[key] = source[key];
            }
          }
        }return target;
      };return _extends.apply(this, arguments);
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function ExportTranslation(props) {
      var _useState = (0, _react.useState)(),
          _useState2 = _slicedToArray(_useState, 2),
          articleIds = _useState2[0],
          setArticleIds = _useState2[1];

      var _useState3 = (0, _react.useState)(),
          _useState4 = _slicedToArray(_useState3, 2),
          showModal = _useState4[0],
          setShowModal = _useState4[1];

      var _useContext = (0, _react.useContext)(_ExportTranslationContext.default),
          namespace = _useContext.namespace;

      var bridgeComponentId = "".concat(namespace, "ExportForTranslationComponent");

      var _useState5 = (0, _react.useState)([]),
          _useState6 = _slicedToArray(_useState5, 2),
          availableSourceLocales = _useState6[0],
          setAvailableSourceLocales = _useState6[1];

      var _useState7 = (0, _react.useState)(null),
          _useState8 = _slicedToArray(_useState7, 2),
          defaultSourceLanguageId = _useState8[0],
          setDefaultSourceLanguageId = _useState8[1];

      var _useModal = (0, _modal.useModal)({
        onClose: function handleOnClose() {
          setShowModal(false);
        }
      }),
          observer = _useModal.observer,
          onClose = _useModal.onClose;

      if (!Liferay.component(bridgeComponentId)) {
        Liferay.component(bridgeComponentId, {
          open: function open(articleIds) {
            var getExportTranslationAvailableLocalesURL = Liferay.Util.PortletURL.createPortletURL(props.getExportTranslationAvailableLocalesURL, {
              articleId: articleIds[0]
            });
            (0, _frontendJsWeb.fetch)(getExportTranslationAvailableLocalesURL.toString()).then(function (res) {
              return res.json();
            }).then(function (_ref) {
              var availableLocales = _ref.availableLocales,
                  defaultLanguageId = _ref.defaultLanguageId;
              setAvailableSourceLocales(availableLocales);
              setArticleIds(articleIds);
              setDefaultSourceLanguageId(defaultLanguageId);
              setShowModal(true);
            });
          }
        }, {
          destroyOnNavigate: true
        });
      }

      return (/*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, showModal && /*#__PURE__*/_react.default.createElement(_ExportTranslationModal.default, _extends({}, props, {
          articleIds: articleIds,
          availableSourceLocales: availableSourceLocales,
          defaultSourceLanguageId: defaultSourceLanguageId,
          observer: observer,
          onModalClose: onClose
        })))
      );
    }

    function _default(_ref2) {
      var context = _ref2.context,
          props = _ref2.props;
      return (/*#__PURE__*/_react.default.createElement(_ExportTranslationContext.default.Provider, {
          value: context
        }, /*#__PURE__*/_react.default.createElement(ExportTranslation, props))
      );
    }
    //# sourceMappingURL=ExportTranslation.es.js.map
  }
});
//# sourceMappingURL=ExportTranslation.es.js.map